Autor Tema: wifislax-updaters HILO 2  (Leído 200632 veces)

0 Usuarios y 1 Visitante están viendo este tema.

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #160 en: 02-09-2015, 00:48 (Miércoles) »
Dejo aqui un updater acabado pero que todavia no subí a github porque falta un updater de dependencia por hacer.

Código: [Seleccionar]
#!/bin/sh

# Script by www.seguridadwireless.net

SCRIPT_VERSION=20150901

############################################################
## Funciones comunes. Su nombre empieza por f_ ##
############################################################
f_variables(){
. /opt/wifislax-updaters/Funciones/funciones_updater
}

############################################################
## Funciones propias del script. Su nombre empieza por F_ ##
############################################################
# Definicion de variables
F_variables() {
PRGNAM=openvas-smb
echo -ne "\033]2;${PRGNAM}_updater\007"
WEB="http://wald.intevation.org"
WEB_contenido=$(curl -sk $WEB/frs/?group_id=29 |grep "$PRGNAM")
ARCHIVO=$(echo "$WEB_contenido" | grep -Po '">\K.*(?=</.>)' | grep "tar\.gz$" | sort -V | tail -1)
VERSION=$(echo "$ARCHIVO" | rev | cut -d. -f3-|rev| sed "s/$PRGNAM//g" | cut -d- -f2)
DOWNLOAD="${WEB}$(echo "$WEB_contenido"|grep "$ARCHIVO"|grep -Po 'href="\K.*(?=")' |grep "tar\.gz$")"
}

# Comprobar dependencias
F_dependencias(){
echo
if [ -f /var/log/packages/heimdal-* ]; then
  EXIST=`echo "$VERDE"Instalada"$CIERRE"`
  DESCARGAR=0
else
  EXIST=`echo "$ROJO"No Instalada"$CIERRE"`
  DESCARGAR=1
fi

echo "$ROSA"Comprobando dependencias ..."$CIERRE"
echo
sleep 3
echo "$CYAN"Dependencias de este paquete:""
echo ""
echo "$AMARILLO"heimdal"$CIERRE: $EXIST"


if [ $DESCARGAR = "1" ]; then
echo ""
echo ""$ROJO"No se cumplen los requisitos"$CIERRE"... "$VERDE"resolviendo"$CIERRE"..."
sleep 3
cd /opt/wifislax-updaters/Librerias/
statusfile=$(mktemp)
xterm -e sh -c '/opt/wifislax-updaters/Librerias/heimdal_updater; echo $? > '$statusfile
status=$(cat $statusfile)
rm $statusfile
if [ -z $status ] || [ $status != "0" ]; then
  echo "$ROJO"ERROR. No se ha podido crear el paquete"$CIERRE"
  if [ -z $status ]; then
    exit 1
  else
    exit $status
  fi
fi

cd $TMP
fi

echo ""
echo "$VERDE"Bien ..podemos continuar"$CIERRE"
echo ""
sleep 3
}

# Si el paquete no existe se descargara de internet
F_download(){
if [ ! -f $PRGNAM-$VERSION.tar.gz ]; then
echo
echo "$CYAN"Descargando sources de $PRGNAM-$VERSION"$CIERRE"
sleep 1
aria2c -x 3 $DOWNLOAD
fi
}

# Descomprimimos el fichero descargado y compilamos
F_compilar(){
echo
echo "$VERDE"Descomprimiendo ..."$CIERRE"
rm -rf $PRGNAM-$VERSION
tar -xvf $PRGNAM-$VERSION.tar.gz
sleep 1
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
 \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
  -o -perm 511 \) -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
 
mkdir -p build
cd build
  cmake \
    -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DLOCALSTATEDIR=/var \
    -DSYSCONFDIR=/etc \
    -DCMAKE_BUILD_TYPE=Release ..
  make
  make install/strip DESTDIR=$PKG
cd ..

mv $PKG/usr/share/man $PKG/usr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done

}

###################################
## BLOQUE PRINCIPAL DE EJECUCION ##
###################################
# Si se cierra el script inesperadamente, ejecutar la funcion de limpieza
trap f_exitmode SIGHUP SIGINT

#Inicializamos las variables globales
f_variables
#Comprobamos conexion a Internet
f_comprobarConexion
#Inicializamos las variables del script
F_variables
#Creamos directorio de trabajo
f_directorioTemporal
#Creamos directorios extra
#F_extradirs
#Mostramos el mensaje de presentacion
f_presentacion
#Comprobamos updates del script
f_comprobarUpdates
#Compronar dependencias
F_dependencias
#Asignamos o detectamos arquitectura
f_arquitectura
#Comprobamos version instalada del paquete
f_versionInstalada
#Si no existe el fichero se descargara
F_download
#Descomprimir fichero descargado y compilamos
F_compilar
#Hacemos strip sobre el paquete
f_strip
#Creamos xzm , instalamos y salimos
f_tareasFinales



@USUARIONUEVO

Heimdal es una jodida osadía para conseguir compilarlo. Si tienes tiempo y te aburres mucho, prueba a ver si consigues compilarlo tu. Yo he jugado con las versiones que hay para ver si alguno me compila con el slackbuilds... pero no hay manera...

Código: [Seleccionar]
#!/bin/sh

# Script by www.seguridadwireless.net

SCRIPT_VERSION=20150901

############################################################
## Funciones comunes. Su nombre empieza por f_ ##
############################################################
f_variables(){
. /opt/wifislax-updaters/Funciones/funciones_updater
}

############################################################
## Funciones propias del script. Su nombre empieza por F_ ##
############################################################
# Definicion de variables
F_variables() {
PRGNAM=heimdal
echo -ne "\033]2;${PRGNAM}_updater\007"
WEB="http://www.h5l.org"
WEB_contenido=$(curl -sk $WEB/dist/src/ |grep "$PRGNAM")
ARCHIVO=$(echo "$WEB_contenido" | grep -Po '">\K.*(?=</.>)' | grep "tar\.gz$" | sort -V | tail -1)
VERSION=$(echo "$ARCHIVO" | rev | cut -d. -f3-|rev| sed "s/$PRGNAM//g" | cut -d- -f2)
# VERSION=1.5.2
DOWNLOAD="$WEB/dist/src/$PRGNAM-$VERSION.tar.gz"

}

# Si el paquete no existe se descargara de internet
F_download(){
if [ ! -f $PRGNAM-$VERSION.tar.gz ]; then
echo
echo "$CYAN"Descargando sources de $PRGNAM-$VERSION"$CIERRE"
sleep 1
aria2c -x 3 $DOWNLOAD
fi
}

# Descomprimimos el fichero descargado y compilamos
F_compilar(){
echo
echo "$VERDE"Descomprimiendo ..."$CIERRE"
rm -rf $PRGNAM-$VERSION
tar -xvf $PRGNAM-$VERSION.tar.gz
sleep 1
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
  \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
  -exec chmod 755 {} \; -o \
  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
  -o -perm 400 \) -exec chmod 644 {} \;

CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr/heimdal \
  --libdir=/usr/lib${LIBDIRSUFFIX} \
  --sysconfdir=/etc \
  --localstatedir=/var \
  --infodir=/usr/info \
  --mandir=/usr/heimdal/man \
  --docdir=/usr/doc/$PRGNAM-$VERSION \
  --build=$ARCH-slackware-linux \
  --with-berkeley-db-include=/usr/include/db48 \
  --with-openldap=/usr \
  --with-readline=/usr \
  --with-sqlite3=/usr \
  --with-x \
  --without-ipv6 \
  --without-hesiod \
  --enable-kcm \
  --enable-pthread-support \
  --disable-otp \
  --disable-static

make -j$NUCLEOS
make -j$NUCLEOS check
make -j$NUCLEOS install-strip DESTDIR=$PKG

rm -rf $PKG/usr/heimdal/man/cat?
find $PKG/usr/heimdal/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/heimdal/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done

rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
( cd $PKG/usr/info ; ln -s heimdal.info.gz heimdal )


# Add sample krb5.conf file (may not be needed)
mkdir -p $PKG/etc
cat krb5.conf > $PKG/etc/krb5.conf-sample

# Create directory for the KDC to use
mkdir -p $PKG/var/heimdal

# Add sample kdc.conf file (may not be needed)
echo "# Leave this section out on the clients
[kdc]
        # Space seperated list of addresses to listen for requests on. 
        #addresses = 192.168.0.1 172.16.0.1 10.0.0.1

        # Following directive is needed when KDC starts atomatically
        require-preauth = no

        # database key file
        key-file = /var/heimdal/key-file

        # Check the addresses in the ticket when processing TGS requests.
        check-ticket-addresses = TRUE

        # Permit tickets with no addresses.
        #allow-null-ticket-addresses = TRUE

        # Permit anonymous tickets with no addresses.
        #allow-anonymous = TRUE

" > $PKG/var/heimdal/kdc.conf-sample

# Include a KDC rc-file for the admin to consider
mkdir -p $PKG/etc/rc.d

echo "#!/bin/sh

heimdal_start() {
  if [ -r /var/heimdal/kdc.conf -a -x /usr/heimdal/libexec/kdc ]; then
    echo \"Starting the Kerberos service:  /usr/heimdal/libexec/kdc --detach\"
    /usr/heimdal/libexec/kdc --detach
  fi

}

heimdal_stop() {
  killall kdc

}

heimdal_restart() {
  heimdal_stop
  sleep 1
  heimdal_start

}

case \"\$1\" in
'start')
  heimdal_start
  ;;
'stop')
  heimdal_stop
  ;;
'restart')
  heimdal_restart
  ;;
*)
  echo \"Usage: \$0 start|stop|restart\"
esac

" > $PKG/etc/rc.d/rc.heimdal

# Add heimdal to INFOPATH, MANPATH, and PATH
mkdir -p $PKG/etc/profile.d
echo "#!/bin/sh

MANPATH=\"\$MANPATH:/usr/heimdal/man\"
export MANPATH

PATH=\"\${PATH}:/usr/heimdal/bin\"
if [ x\"\${EUID}\" == x\"0\" ]; then
  PATH=\"\${PATH}:/usr/heimdal/sbin\"
fi
export PATH
">$CWD/config/heimdal.sh
install -m 0755 $CWD/config/heimdal.sh $PKG/etc/profile.d/heimdal.sh

echo "#!/bin/csh

setenv MANPATH \${MANPATH}:/usr/heimdal/man

setenv PATH \"\${PATH}:/usr/heimdal/bin\"
if ( x\"\$uid\" == x\"0\" ) then
  setenv PATH \"\${PATH}:/usr/heimdal/sbin\"
endif
" >$CWD/config/heimdal.csh
install -m 0755 $CWD/config/heimdal.csh $PKG/etc/profile.d/heimdal.csh
}

###################################
## BLOQUE PRINCIPAL DE EJECUCION ##
###################################
# Si se cierra el script inesperadamente, ejecutar la funcion de limpieza
trap f_exitmode SIGHUP SIGINT

#Inicializamos las variables globales
f_variables
#Comprobamos conexion a Internet
f_comprobarConexion
#Inicializamos las variables del script
F_variables
#Creamos directorio de trabajo
f_directorioTemporal
#Creamos directorios extra
#F_extradirs
#Mostramos el mensaje de presentacion
f_presentacion
#Comprobamos updates del script
f_comprobarUpdates
#Compronar dependencias
# F_dependencias
#Asignamos o detectamos arquitectura
f_arquitectura
#Comprobamos version instalada del paquete
f_versionInstalada
#Si no existe el fichero se descargara
F_download
#Descomprimir fichero descargado y compilamos
F_compilar
#Hacemos strip sobre el paquete
f_strip
#Creamos xzm , instalamos y salimos
f_tareasFinales

Si me avisas, escribo un correo a al que mantiene este slackbuild por si hay suerte y nos hecha una mano

Salu2



vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #161 en: 02-09-2015, 01:51 (Miércoles) »
Por otro lado, comentar dos cosas:

Le he dado una actualizacion relevante a los updaters. Basicamente, me he asegurado que siempre que haya un make, se especifique los nucleos con los que se va a compilar. No deberia dar problemas en ningun paquete esta mejora

Y esto para ti @USUARIONUEVO

Código: [Seleccionar]
find /opt/wifislax-updaters -type f -exec grep "ARCH=" -l {} \; | grep -v linux | grep -v funciones |grep -v ATI
Vi que en github quitaste un ARCH definido a la fuerza. El comando de arriba muestra aquellos que hacen lo mismo. No quiero tocar nada sin que los veas tu primero

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #162 en: 02-09-2015, 14:21 (Miércoles) »
A la noche revisare.

El que no te compila has mirado en archlinux a ver como lo configuran ?¿

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #163 en: 02-09-2015, 15:29 (Miércoles) »
Todo esto viene a que me estoy calentando el coco para saber porque openvas no funciona como debería...

la librería openvas-smb no debería ser el causante... pero por probar...

Esta noche intentaré hacer un updater de Openvas. Es decir, automatizar todos los pasos para que te lo deje al punto y cree un módulo.

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #164 en: 02-09-2015, 15:31 (Miércoles) »
https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=heimdall-git

seguro que te pide esto ?¿

pkgdesc="A cross-platform open-source utility to flash firmware (aka ROMs) onto Samsung Galaxy S devices."


y no puedes --disable-heimdall   ?¿
« Última modificación: 02-09-2015, 15:32 (Miércoles) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #165 en: 02-09-2015, 16:10 (Miércoles) »
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \



por


CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
LDFLAGS="-lpthread" \
./configure \



y a compilar ... ;D

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #166 en: 02-09-2015, 16:22 (Miércoles) »
 ;D ;D ;D ;D ;D

HEIMDAL

 >:( >:( >:( >:(

Salu2

Fr3dY

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #167 en: 02-09-2015, 16:27 (Miércoles) »
Heimdal está como slackbuild:

http://slackbuilds.org/result/?search=heimdal&sv=14.1




Saludos

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #168 en: 02-09-2015, 17:10 (Miércoles) »
Heimdal está como slackbuild:

http://slackbuilds.org/result/?search=heimdal&sv=14.1




Saludos

si , pero falla ... le falta LDFLAG , que sirve para pasarle al slackbuild, que tenga en cuenta tal o cual librería.

en este caso
Código: [Seleccionar]
pthread
« Última modificación: 02-09-2015, 17:12 (Miércoles) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #169 en: 05-09-2015, 20:24 (Sábado) »
Holas , queria tratar un asuntillo , se trata precisamente de lo ultimo modificado ..

make -j$NUCLEOS


antes ,  "make" ,  habria un hilo , ... despues llego el multithread , y se podia espeficicar con -j  (jobs) , pero ya hace bastante que no es necesario el uso de -j  , a menos que necesites especificarlo.


por ejemplo hay paquetes que no soportan multihilo , y si se intentan compilar con mas de un hilo , falla la compilacion , esos son los que llevan

make -j1

para asegurar que no abren mas de un hilo de compilacion ,.

despues empezaron a llegar los doble nucleo , tricore , quadcore , hexacore ,octocore....y bla bla bla.

pero ademas de eso , ya no vale guiarse por los nucleos ...


hay procesadores (la mayoria en la actualizdad) , que son capaces de abrir dos o mas hilos por nucleo.


por ejemplo , en el sobremesa tengo puesto un FX 8320  (8 nucleos) , pero puede habrir hasta  !16!  hilos de trabajo.


y esa es la tonica , dos nucleos que pueden abrir 4 hilos , y asi sucesivamente.


si ase le sumo el hecho de que....


 -j [N], --jobs[=N]      Se permiten N trabajos a la vez; si no se especifica un
argumento son infinitos
.



Pues ya me ronda la idea , de quitar los numjobs , en los scripts y dejar solo los que tengan el make -j1
« Última modificación: 05-09-2015, 20:30 (Sábado) por USUARIONUEVO »

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2378
  • Prácticas precisas precisan práctica
Re: wifislax-updaters HILO 2
« Respuesta #170 en: 05-09-2015, 22:37 (Sábado) »
Citar
-j [N], --jobs[=N]      Se permiten N trabajos a la vez; si no se especifica un
argumento son infinitos.


Pues ya me ronda la idea , de quitar los numjobs , en los scripts y dejar solo los que tengan el make -j1

Yo pensaba que ya sabías eso, en el makefast que tiene mas años que Matusalen lo tenemos así, colo con -j sin especificar número.

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #171 en: 05-09-2015, 23:08 (Sábado) »
Pues no tenía ni idea :/

De todas formas, creo que la mayoría las podréis arreglar usando find + sed

Y con los de -j1... Me suena que sólo había un updater...

Si no veis claro ese método... En git me parece que se puede revertir cambios de un commit específico

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #172 en: 05-09-2015, 23:09 (Sábado) »
Citar
-j [N], --jobs[=N]      Se permiten N trabajos a la vez; si no se especifica un
argumento son infinitos.


Pues ya me ronda la idea , de quitar los numjobs , en los scripts y dejar solo los que tengan el make -j1

Yo pensaba que ya sabías eso, en el makefast que tiene mas años que Matusalen lo tenemos así, colo con -j sin especificar número.


si lo sabia , pero no le he dado importancia por que calculabamos los nucleos y habriamos hilos al mismo numero

lo que no sabia es que un nucleo , podia abrir mas de un hilo ... con lo que a lo mejor estamos hay desaprovechando potencial ....


tendria que hacer un test , una libreria como wxgtk que tarda un poco ... con y sin jobs , y mirar el tiempo.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #173 en: 05-09-2015, 23:11 (Sábado) »
Pues no tenía ni idea :/

De todas formas, creo que la mayoría las podréis arreglar usando find + sed

Y con los de -j1... Me suena que sólo había un updater...

Si no veis claro ese método... En git me parece que se puede revertir cambios de un commit específico

Salu2

antes de tu tocarlo , ya habia muchos asi , con make -J$NUCLEOS

una libreria pequeña pues no se va a notar mucho , pero librerias pesadas , podria ser bastante tiempo de diferencia.

vk496

  • Visitante
Re: Re: wifislax-updaters HILO 2
« Respuesta #174 en: 05-09-2015, 23:18 (Sábado) »
Pues no tenía ni idea :/

De todas formas, creo que la mayoría las podréis arreglar usando find + sed

Y con los de -j1... Me suena que sólo había un updater...

Si no veis claro ese método... En git me parece que se puede revertir cambios de un commit específico

Salu2

antes de tu tocarlo , ya habia muchos asi , con make -J$NUCLEOS

una libreria pequeña pues no se va a notar mucho , pero librerias pesadas , podria ser bastante tiempo de diferencia.
Tengo un netbook que es jodidamente lento... Vendrá genial para esta prueba jajaja

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #175 en: 06-09-2015, 04:16 (Domingo) »
subidos los updaters sin $NUCLEOS ...espero no haber roto nada , ya que use

sed -i 's/-j$NUCLEOS//g'   FICHEROS

Y despues sed tambien para modificar la VERSION_SCRIPT  ;D

ufff , que rapido cuando conoces comandos basicos de consola...sed, cut , y todo eso.

vk496

  • Visitante
Re: wifislax-updaters HILO 2
« Respuesta #176 en: 13-09-2015, 01:00 (Domingo) »
Sigo intentando hacer correr el Openvas...

Código: [Seleccionar]
#!/bin/sh

# Script by www.seguridadwireless.net

SCRIPT_VERSION=20150912

############################################################
## Funciones comunes. Su nombre empieza por f_ ##
############################################################
f_variables(){
. /opt/wifislax-updaters/Funciones/funciones_updater
}

############################################################
## Funciones propias del script. Su nombre empieza por F_ ##
############################################################
# Definicion de variables
F_variables() {
PRGNAM=openvas-inicial-setup
echo -ne "\033]2;${PRGNAM}_updater\007"
WEB=
VERSION=1.0
DOWNLOAD=
}

# Creamos directorios extra
#F_extradirs(){

#}

# Comprobar dependencias
F_dependencias(){
echo
if [ -f /var/log/packages/openvas-manager-* ]; then
  EXIST_openvas_manager=`echo "$VERDE"Instalada"$CIERRE"`
  DESCARGAR_openvas_manager=0
else
  EXIST_openvas_manager=`echo "$ROJO"No Instalada"$CIERRE"`
  DESCARGAR_openvas_manager=1
fi

if [ -f /var/log/packages/openvas-scanner-* ]; then
  EXIST_openvas_scanner=`echo "$VERDE"Instalada"$CIERRE"`
  DESCARGAR_openvas_scanner=0
else
  EXIST_openvas_scanner=`echo "$ROJO"No Instalada"$CIERRE"`
  DESCARGAR_openvas_scanner=1
fi

if [ -f /var/log/packages/openvas-cli-* ]; then
  EXIST_openvas_cli=`echo "$VERDE"Instalada"$CIERRE"`
  DESCARGAR_openvas_cli=0
else
  EXIST_openvas_cli=`echo "$ROJO"No Instalada"$CIERRE"`
  DESCARGAR_openvas_cli=1
fi

if [ -f /var/log/packages/redis-* ]; then
  EXIST_redis=`echo "$VERDE"Instalada"$CIERRE"`
  DESCARGAR_redis=0
else
  EXIST_redis=`echo "$ROJO"No Instalada"$CIERRE"`
  DESCARGAR_redis=1
fi

if [ -f /var/log/packages/greenbone-security-assistant-* ]; then
  EXIST_greenbone_security_assistant=`echo "$VERDE"Instalada"$CIERRE"`
  DESCARGAR_greenbone_security_assistant=0
else
  EXIST_greenbone_security_assistant=`echo "$ROJO"No Instalada"$CIERRE"`
  DESCARGAR_greenbone_security_assistant=1
fi

echo "$ROSA"Comprobando dependencias ..."$CIERRE"
echo
sleep 3
echo "$CYAN"Dependencias de este paquete:""
echo ""

echo "$AMARILLO"greenbone-security-assistant"$CIERRE: $EXIST_greenbone_security_assistant"
if [ $DESCARGAR_greenbone_security_assistant = "1" ]; then
echo ""$ROJO"No se cumplen los requisitos"$CIERRE"... "$VERDE"resolviendo"$CIERRE"..."
echo ""
sleep 3
cd /opt/wifislax-updaters/Auditoria/
statusfile=$(mktemp)
xterm -e sh -c '/opt/wifislax-updaters/Auditoria/greenbone-security-assistant_updater; echo $? > '$statusfile
status=$(cat $statusfile)
rm $statusfile
if [ -z $status ] || [ $status != "0" ]; then
  echo "$ROJO"ERROR. No se ha podido crear el paquete"$CIERRE"
  if [ -z $status ]; then
    exit 1
  else
    exit $status
  fi
fi

cd $TMP
fi

echo "$AMARILLO"openvas-manager"$CIERRE: $EXIST_openvas_manager"
if [ $DESCARGAR_openvas_manager = "1" ]; then
echo ""$ROJO"No se cumplen los requisitos"$CIERRE"... "$VERDE"resolviendo"$CIERRE"..."
echo ""
sleep 3
cd /opt/wifislax-updaters/Auditoria/
statusfile=$(mktemp)
xterm -e sh -c '/opt/wifislax-updaters/Auditoria/openvas-manager_updater; echo $? > '$statusfile
status=$(cat $statusfile)
rm $statusfile
if [ -z $status ] || [ $status != "0" ]; then
  echo "$ROJO"ERROR. No se ha podido crear el paquete"$CIERRE"
  if [ -z $status ]; then
    exit 1
  else
    exit $status
  fi
fi

cd $TMP
fi

echo "$AMARILLO"openvas-scanner"$CIERRE: $EXIST_openvas_scanner"
if [ $DESCARGAR_openvas_scanner = "1" ]; then
echo ""$ROJO"No se cumplen los requisitos"$CIERRE"... "$VERDE"resolviendo"$CIERRE"..."
echo ""
sleep 3
cd /opt/wifislax-updaters/Auditoria/
statusfile=$(mktemp)
xterm -e sh -c '/opt/wifislax-updaters/Auditoria/openvas-scanner_updater; echo $? > '$statusfile
status=$(cat $statusfile)
rm $statusfile
if [ -z $status ] || [ $status != "0" ]; then
  echo "$ROJO"ERROR. No se ha podido crear el paquete"$CIERRE"
  if [ -z $status ]; then
    exit 1
  else
    exit $status
  fi
fi

cd $TMP
fi

echo "$AMARILLO"openvas-cli"$CIERRE: $EXIST_openvas_cli"
if [ $DESCARGAR_openvas_cli = "1" ]; then
echo ""$ROJO"No se cumplen los requisitos"$CIERRE"... "$VERDE"resolviendo"$CIERRE"..."
echo ""
sleep 3
cd /opt/wifislax-updaters/Auditoria/
statusfile=$(mktemp)
xterm -e sh -c '/opt/wifislax-updaters/Auditoria/openvas-cli_updater; echo $? > '$statusfile
status=$(cat $statusfile)
rm $statusfile
if [ -z $status ] || [ $status != "0" ]; then
  echo "$ROJO"ERROR. No se ha podido crear el paquete"$CIERRE"
  if [ -z $status ]; then
    exit 1
  else
    exit $status
  fi
fi

cd $TMP
fi

echo "$AMARILLO"redis"$CIERRE: $EXIST_redis"
if [ $DESCARGAR_redis = "1" ]; then
echo ""$ROJO"No se cumplen los requisitos"$CIERRE"... "$VERDE"resolviendo"$CIERRE"..."
echo ""
sleep 3
cd /opt/wifislax-updaters/Desarrollo/
statusfile=$(mktemp)
xterm -e sh -c '/opt/wifislax-updaters/Desarrollo/redis_updater; echo $? > '$statusfile
status=$(cat $statusfile)
rm $statusfile
if [ -z $status ] || [ $status != "0" ]; then
  echo "$ROJO"ERROR. No se ha podido crear el paquete"$CIERRE"
  if [ -z $status ]; then
    exit 1
  else
    exit $status
  fi
fi

cd $TMP
fi

echo ""
echo "$VERDE"Bien ..podemos continuar"$CIERRE"
echo ""
sleep 3
}

# Si el paquete no existe se descargara de internet
# F_download(){
# if [ ! -f $PRGNAM-$VERSION ]; then
# echo
# echo "$CYAN"Descargando sources de $PRGNAM-$VERSION"$CIERRE"
# sleep 1
# aria2c -x 3 $DOWNLOAD
# fi
# }

# Descomprimimos el fichero descargado y compilamos
F_compilar(){
echo
echo "$VERDE"Descomprimiendo ..."$CIERRE"


ldconfig

echo -ne "\n\n\n\n\n\n\n" | openvas-mkcert >/dev/null

chmod +x /etc/rc.d/rc.redis
/etc/rc.d/rc.redis start

openvas-nvt-sync


chmod +x /etc/rc.d/rc.openvassd
/etc/rc.d/rc.openvassd start
sleep 2

OPENVAS_PROGRESS=$(ps -ef | grep openvassd|grep -i reloaded | head -1 | cut -d"(" -f2- | cut -d/ -f1)
while true; do
if [[ $OPENVAS_PROGRESS ]]; then
echo -en "\rIncializando.... $OPENVAS_PROGRESS"
sleep 0.1
else
break
fi
done

echo seguimos
openvas-scapdata-sync

openvas-certdata-sync

openvas-mkcert-client -n -i >/dev/null


OPENVAS_PASSWORD=$(openvasmd --create-user=admin --role=Admin | cut -d\' -f2)
openvasmd --rebuild --progress

chmod +x /etc/rc.d/rc.openvasmd
/etc/rc.d/rc.openvasmd start

gsad --http-only
echo $OPENVAS_PASSWORD
sleep 1
exit
}


###################################
## BLOQUE PRINCIPAL DE EJECUCION ##
###################################
# Si se cierra el script inesperadamente, ejecutar la funcion de limpieza
trap f_exitmode SIGHUP SIGINT

#Inicializamos las variables globales
f_variables
#Comprobamos conexion a Internet
f_comprobarConexion
#Inicializamos las variables del script
F_variables
#Creamos directorio de trabajo
f_directorioTemporal
#Creamos directorios extra
#F_extradirs
#Mostramos el mensaje de presentacion
f_presentacion
#Comprobamos updates del script
f_comprobarUpdates
#Compronar dependencias
F_dependencias
#Asignamos o detectamos arquitectura
f_arquitectura
#Comprobamos version instalada del paquete
f_versionInstalada
#Si no existe el fichero se descargara
# F_download
#Descomprimir fichero descargado y compilamos
F_compilar
#Hacemos strip sobre el paquete
f_strip
#Creamos xzm , instalamos y salimos
f_tareasFinales

muy feo y poco trabajado, pero te hace todo el proceso de instalacion de OpenVAS.

Al final del script te reporta la clave con la que entras al GUI (http://127.0.0.1)

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #177 en: 13-09-2015, 01:45 (Domingo) »
pero que intentas ? un todo en uno ?


ves comentando ..si tengo que quitar los individuales y ambiarlos por este ..o que ...  ;)

vk496

  • Visitante
Re: Re: wifislax-updaters HILO 2
« Respuesta #178 en: 13-09-2015, 03:14 (Domingo) »
pero que intentas ? un todo en uno ?


ves comentando ..si tengo que quitar los individuales y ambiarlos por este ..o que ...  ;)
Si, algo así....

No sé si es mejor tener uno que lo haga todo o tal como está ahora....


Primero de todo es conseguir que funcione el jodido programa xD

Salu2

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15514
Re: wifislax-updaters HILO 2
« Respuesta #179 en: 13-09-2015, 03:57 (Domingo) »
ok , suerte , yo de eso , no tengo ni idea, ..tal vez, deberias abrir un post para test , a ver si aparece alguien que sepa usarlo, y te puede ayudar.